## razorqt 0.5.2

=== CMakeLists.txt ===
cmake_minimum_required( VERSION 2.6 )

if (NOT CMAKE_BUILD_TYPE)
    set ( CMAKE_BUILD_TYPE Release )
endif (NOT CMAKE_BUILD_TYPE)

if (CMAKE_BUILD_TYPE MATCHES [Dd]ebug)
    message(STATUS "Debug build")
    add_definitions(-DDEBUG)
else()
    message(STATUS "non-debug build")
    add_definitions(-DNDEBUG)
endif()

if (NOT CMAKE_INSTALL_PREFIX)
    message(FATAL_ERROR "CMAKE_INSTALL_PREFIX is not set but it has to be. Something is wrong.")
endif ()

set(MAJOR_VERSION 0)
set(MINOR_VERSION 5)
set(PATCH_VERSION 2)
set(RAZOR_VERSION ${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION})
add_definitions(-DRAZOR_VERSION=\"${RAZOR_VERSION}\")
message(STATUS "")
message(STATUS "Razor-qt version: ${RAZOR_VERSION}")
message(STATUS "")

link_directories(/usr/local/lib/)

add_definitions ( -Wall )
set( QT_USE_QTDBUS 1 )
find_package ( Qt4 4.6.0 REQUIRED )
include ( ${QT_USE_FILE} )
include_directories (
	${QT_QTCORE_INCLUDE_DIR} ${QT_QTGUI_INCLUDE_DIR}
	)

# additional cmake files
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake)
# Qt *must* be detected before this one
include(RazorInstallConfigPath)
add_definitions(-DRAZOR_ETC_XDG_DIRECTORY=\"${RAZOR_ETC_XDG_DIRECTORY}\")
include(RazorLibSuffix)


# This allows to install and read the configs from non-standard locations
add_definitions(-DSHARE_DIR=\"${CMAKE_INSTALL_PREFIX}/share/razor/\")

message(STATUS "")
message(STATUS "Developer documentation (doxygen) can be generated by 'make doc'")
message(STATUS "")

message(STATUS "")
message(STATUS "For building tests use -DBUILD_TESTS=Yes option.")
message(STATUS "")

# main build subdirs
macro (build_module MODULE_VAR MODULE_NAME MODULE_DIR MODULE_DEFAULT)
    if(SPLIT_BUILD)
        set(MODULE_BUILD_DEFAULT Off)
    else(SPLIT_BUILD)
        set(MODULE_BUILD_DEFAULT ${MODULE_DEFAULT})
    endif(SPLIT_BUILD)
    option(${MODULE_VAR} ${MODULE_NAME} ${MODULE_BUILD_DEFAULT})
    if(${MODULE_VAR})
        #message(STATUS "Build: ${MODULE_NAME}")
        add_subdirectory(${MODULE_DIR})
        list(APPEND ENABLED_MODULES "${MODULE_NAME}")
    #else()
    #   message(STATUS "Skip:  ${MODULE_VAR}")
    endif(${MODULE_VAR})
endmacro()

build_module(MODULE_QTXDG
    "Qt library for XDG standards"
    libraries/qtxdg On)

build_module(MODULE_LIBRAZORQT
    "Core Razor library"
    libraries/razorqt On)

build_module(MODULE_LIBRAZORQXT
    "Razor global hotkey library"
    libraries/razorqxt On)

build_module(MODULE_LIBRAZORMOUNT
    "Razor mount library"
    libraries/razormount On)

build_module(MODULE_RESOURCES
    "Razor resources"
    razorqt-resources On)

build_module(MODULE_SESSION
    "Razor Session manager"
    razorqt-session On)

build_module(MODULE_PANEL
    "Razor Panel"
    razorqt-panel On)

build_module(MODULE_DESKTOP
    "Razor Desktop"
    razorqt-desktop On)

build_module(MODULE_APPSWITCHER
    "Razor Alt-Tab Application switcher"
    razorqt-appswitcher On)

build_module(MODULE_X11INFO
    "X11 info"
    razorqt-x11info On)

build_module(MODULE_RUNNER
    "Razor Runner"
    razorqt-runner On)

build_module(MODULE_CONFIG
    "Razor Configuration"
    razorqt-config On)

build_module(MODULE_POWER
    "Razor power control"
    razorqt-power On)

build_module(MODULE_AUTOSUSPEND
    "Razor Autosuspend"
    razorqt-autosuspend On)

build_module(MODULE_POLICYKIT
    "Razor PolicyKit agent"
    razorqt-policykit On)

build_module(MODULE_LIGHTDM
    "Razor LightDM greeter"
    razorqt-lightdm-greeter On)

build_module(MODULE_NOTIFICATIOND
    "Razor Notifications Daemon"
    razorqt-notificationd On)

build_module(MODULE_ASKPASS
    "SSH Askpass"
    razorqt-openssh-askpass On)

build_module(MODULE_ABOUT
    "Razor information"
    razorqt-about On)

build_module(MODULE_GLOBALKEYSHORTCUTS
    "Global Shortcut daemon"
    razorqt-globalkeyshortcuts On)

build_module(MODULE_CONFUPDATE
    "Configuration updater"
    razorqt-confupdate On)

message(STATUS  "**************** The following modules will be built ****************")
foreach (MODULE_NAME ${ENABLED_MODULES})
    message(STATUS   "  ${MODULE_NAME}")
endforeach()
message(STATUS  "*********************************************************************")

########### Add uninstall target ###############
CONFIGURE_FILE(
    "${CMAKE_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake/cmake_uninstall.cmake"
    IMMEDIATE @ONLY)

ADD_CUSTOM_TARGET(uninstall
    "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake/cmake_uninstall.cmake")



########## Add make dist target ################
SET(CPACK_PACKAGE_VERSION "${RAZOR_VERSION}")
SET(CPACK_SOURCE_GENERATOR "TBZ2")
SET(CPACK_SOURCE_PACKAGE_FILE_NAME "razorqt-${CPACK_PACKAGE_VERSION}")
SET(CPACK_IGNORE_FILES "/CVS/;/\\\\.git\;/\\\\.svn/;\\\\.swp$;\\\\.#;/#;\\\\.tar.gz$;/CMakeFiles/;CMakeCache.txt;refresh-copyright-and-license.pl")
SET(CPACK_SOURCE_IGNORE_FILES ${CPACK_IGNORE_FILES})
INCLUDE(CPack)
# simulate autotools' "make dist"
add_custom_target(dist COMMAND ${CMAKE_MAKE_PROGRAM} package_source)

add_subdirectory( doxygen )

=== doxygen/CMakeLists.txt ===
find_package(Doxygen)
if(DOXYGEN_FOUND)
    configure_file(
        ${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.in
        ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile @ONLY
    )

    add_custom_target(docs
	    ${DOXYGEN_EXECUTABLE} ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile
		COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/fixDoc.sh ${CMAKE_BINARY_DIR}/docs
        WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
        OUTPUT_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
        COMMENT "Generating API documentation with Doxygen" VERBATIM
    )

endif(DOXYGEN_FOUND)

=== libraries/CMakeLists.txt ===
add_subdirectory(razormount)
add_subdirectory(razorqt)
add_subdirectory(razorqxt)
add_subdirectory(qtxdg)

add_dependencies(razorqt qtxdg razorqxt razormount)

=== razorqt-appswitcher/CMakeLists.txt ===
project( razor-desktop )
cmake_minimum_required( VERSION 2.6 )

if (NOT CMAKE_BUILD_TYPE)
    set ( CMAKE_BUILD_TYPE Release )
endif (NOT CMAKE_BUILD_TYPE)

add_definitions ( -Wall )
find_package ( Qt4 REQUIRED )
include ( ${QT_USE_FILE} )
find_package(X11 REQUIRED)

include_directories (
	${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}
	${QT_QTCORE_INCLUDE_DIR} ${QT_QTGUI_INCLUDE_DIR} ${QT_QTXML_INCLUDE_DIR} ${QT_QTDBUS_INCLUDE_DIR}
    ${X11_INCLUDE_DIR}
    ${CMAKE_SOURCE_DIR}/libraries/
	src
)

set ( razor-appswitcher_HDRS
	src/appswitcher.h
	src/application.h
	)

set ( razor-appswitcher_SRCS
	src/main.cpp
	src/appswitcher.cpp
	src/application.cpp
	)

set(LIBRARIES
    razorqt
    razorqxt
)

QT4_WRAP_CPP(MOCS ${razor-appswitcher_HDRS})
QT4_WRAP_UI(UIS src/appswitcher.ui)

SET (exec razor-appswitcher)

add_executable ( ${exec} ${razor-appswitcher_SRCS} ${UIS} ${RSCS} ${TRS} ${MOCS} )
add_dependencies( ${exec} razorqt )
target_link_libraries(${exec}   ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY}
                                ${LIBRARIES}
                    )
INSTALL(TARGETS ${exec} RUNTIME DESTINATION bin)

=== razorqt-autosuspend/CMakeLists.txt ===
set(PROJECT razor-autosuspend)
project(${PROJECT})

set(QT_USE_QTDBUS 1)

find_package(Qt4 REQUIRED)
include(${QT_USE_FILE})

add_subdirectory(src)
add_subdirectory(config)

=== razorqt-config/CMakeLists.txt ===

add_subdirectory(src)
add_subdirectory(razor-config-mouse)
add_subdirectory(razor-config-appearance)
add_subdirectory(razor-config-qtconfig)

=== razorqt-confupdate/CMakeLists.txt ===
project(razor-confupdate)
cmake_minimum_required( VERSION 2.6 )

set(PROG_SHARE_DIR ${CMAKE_INSTALL_PREFIX}/share/razor/${PROJECT_NAME})
add_definitions(-DPROG_SHARE_DIR=\"${PROG_SHARE_DIR}\")
add_definitions(-DLIB_SUFFIX=\"${LIB_SUFFIX}\")

if(NOT CMAKE_BUILD_TYPE)
    set ( CMAKE_BUILD_TYPE Release )
endif(NOT CMAKE_BUILD_TYPE)

add_definitions(-Wall)
find_package(Qt4 REQUIRED)

include( ${QT_USE_FILE} )
include_directories(
    ${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}
    ${QT_QTCORE_INCLUDE_DIR} 
    ${CMAKE_SOURCE_DIR}/libraries/
)

set(${PROJECT_NAME}_HEADERS
    rzupdate.h
    rzwatcher.h
)

set(${PROJECT_NAME}_SRCS
    rzupdate.cpp
    razor-confupdate.cpp
    rzwatcher.cpp
)

set(${PROJECT_NAME}_MOCS
    rzwatcher.h
)

set(LIBRARIES
    qtxdg
)
qt4_wrap_cpp(${PROJECT_NAME}_MOCSCXX ${${PROJECT_NAME}_MOCS})

add_executable ( ${PROJECT_NAME} ${${PROJECT_NAME}_SRCS} ${${PROJECT_NAME}_HEADERS} ${${PROJECT_NAME}_MOCSCXX})
target_link_libraries ( ${PROJECT_NAME} ${QT_QTCORE_LIBRARY} ${LIBRARIES} )
add_dependencies(${PROJECT_NAME} razorqt)
INSTALL(TARGETS ${PROJECT_NAME} RUNTIME DESTINATION bin)

if (BUILD_TESTS STREQUAL "Yes")
  add_subdirectory(tests)
endif()

add_subdirectory(updates/razor-0.5)

=== razorqt-desktop/CMakeLists.txt ===
project( razor-desktop )
cmake_minimum_required( VERSION 2.6 )

if (NOT CMAKE_BUILD_TYPE)
    set ( CMAKE_BUILD_TYPE Release )
endif (NOT CMAKE_BUILD_TYPE)

add_definitions ( -Wall )
find_package ( Qt4 REQUIRED )
find_package ( X11 REQUIRED )

include(RazorLibSuffix)

set (DESKTOP_PLUGIN_DIR ${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}/razor-desktop/)
add_definitions(-DDESKTOP_PLUGIN_DIR=\"${DESKTOP_PLUGIN_DIR}\")
message(STATUS "Desktop plugins location: ${DESKTOP_PLUGIN_DIR}")


include ( ${QT_USE_FILE} )
include_directories (
	${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR}
	${QT_QTCORE_INCLUDE_DIR} ${QT_QTGUI_INCLUDE_DIR} ${QT_QTXML_INCLUDE_DIR} ${QT_QTDBUS_INCLUDE_DIR} ${X11_INCLUDE_DIR}
    ${CMAKE_SOURCE_DIR}/libraries/
	src)


set ( razor-desktop_SRCS
	src/main.cpp
  src/razordesktopapplication.cpp
	)

add_executable ( razor-desktop ${razor-desktop_SRCS} ${UIS} ${RSCS} ${TRS} ${MOCS} )
add_dependencies( razor-desktop razorqt)
target_link_libraries ( razor-desktop  ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${QT_QTXML_LIBRARY} ${QT_QTDBUS_LIBRARY}  ${X11_X11_LIB} razorqt qtxdg)
INSTALL(TARGETS razor-desktop RUNTIME DESTINATION bin)
install(DIRECTORY resources/ DESTINATION ${RAZOR_ETC_XDG_DIRECTORY}/razor)

add_subdirectory(config)
add_subdirectory( desktop-wm_native )
add_subdirectory( desktop-razor )

=== razorqt-globalkeyshortcuts/CMakeLists.txt ===
add_subdirectory(src)
add_subdirectory(config)

=== razorqt-lightdm-greeter/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
OPTION(ENABLE_LIGHTDM_GREETER "Build lightdm greeter" ON)

if (ENABLE_LIGHTDM_GREETER)

set(PROJECT razor-lightdm-greeter)
project(${PROJECT})


# This HACK is here to allow greeter to be built as a standalone binary...
# TODO/FIXME: check all modules to be built standalone...
if (CMAKE_SOURCE_DIR STREQUAL ${CMAKE_CURRENT_SOURCE_DIR})
    message(WARNING "This is a standalone build of razor's lightdm greeter.")
    # This allows to install and read the configs from non-standard locations
    add_definitions(-DSHARE_DIR=\"${CMAKE_INSTALL_PREFIX}/share/razor/\")
else ()
    message(STATUS "LightDM Greeter is a part of razor-qt build")
endif()


find_package ( Qt4 REQUIRED )
include ( ${QT_USE_FILE} )

# check for new version
include(FindPkgConfig)
message(STATUS "Checking for lightdm-qt...")
pkg_check_modules(LIGHTDM_QT liblightdm-qt-2)
# or lightdm v1 if the version 2 is not found
if (NOT LIGHTDM_QT_FOUND)
    message(STATUS "lightdm2 for Qt is not found. Trying to find v1")
    pkg_check_modules(LIGHTDM_QT liblightdm-qt-1)
endif()
# decision for version. It needs to be separated as the cmake can
# be run more times. And the LIGHTDM_QT_FOUND is cached so it's
# marked as v2 for every cmake run (except 1st one) in this case.
if (LIGHTDM_QT_VERSION VERSION_LESS "1.1.0")
    add_definitions(-DUSING_LIGHTDM_QT_1)
endif()

if(NOT LIGHTDM_QT_INCLUDE_DIRS)
    message(STATUS "Qt bindings for liblightdm not found. Razor-lightdm-greeter won't be built")
    message(STATUS "Hint: On debian or debian-derived distributions you could probably do: sudo apt-get install liblightdm-qt-1-dev")
    message(STATUS "      On suse or opensuse distribution: lightdm-qt-devel")
elseif(NOT LIGHTDM_QT_LIBRARIES)
    message(STATUS "lightdm-qt library not found. Razor-lightdm-greeter won't be built")
    message(STATUS "Hint: On debian or debian-derived distributions the package would be something like: liblightdm-qt-1-0")
    message(STATUS "      On suse or opensuse distribution: liblightdm-qt-1-0")
else()

    ############### Patch #############################################################
    # liblightdm-qt-1.pc (pkg-config file) erroneously reports includedir as
    # /usr/include/lightdm-qt-0 and the library as lightdm-qt-0. So we have to patch
    # Bug filed: https://bugs.launchpad.net/ubuntu/+source/lightdm/+bug/943914

    foreach(INCLUDEDIR ${LIGHTDM_QT_INCLUDE_DIRS})
        string(REPLACE "-qt-0" "-qt-1" INCLUDEDIR ${INCLUDEDIR})
        list(APPEND TMP1 ${INCLUDEDIR})
    endforeach()
    set(LIGHTDM_QT_INCLUDE_DIRS ${TMP1})

    foreach(LIBRARY ${LIGHTDM_QT_LIBRARIES})
        string(REPLACE "-qt-0" "-qt-1" LIBRARY ${LIBRARY})
        list(APPEND TMP2 ${LIBRARY})
    endforeach()
    set(LIGHTDM_QT_LIBRARIES ${TMP2})
    ############## End patch #########################################################

    include_directories (
            ${CMAKE_CURRENT_SOURCE_DIR}
            ${CMAKE_CURRENT_BINARY_DIR}
            ${CMAKE_SOURCE_DIR}/libraries/
            ${CMAKE_SOURCE_DIR}/libraries/razorqt
            ${LIGHTDM_QT_INCLUDE_DIRS}
            )

    set ( razor-lightdm-greeter_SRCS
          main.cpp
          mainwindow.cpp
          loginform.cpp
        )

    set ( razor-lightdm-greeter_UIS
          loginform.ui
        )
    QT4_WRAP_UI(UIS ${razor-lightdm-greeter_UIS})

    set ( razor-lightdm-greeter_HDRS
          mainwindow.h
          loginform.h
        )

    set ( razor-lightdm-greeter_MOCS
          mainwindow.h
          loginform.h
        )

    QT4_WRAP_CPP(MOCS ${razor-lightdm-greeter_MOCS})

    if(CMAKE_BUILD_TYPE MATCHES [Dd]ebug)
        configure_file(test/test.sh test/test.sh)
        configure_file(test/lightdm-razor-greeter.desktop test/lightdm-razor-greeter.desktop)
        configure_file(test/lightdm.conf test/lightdm.conf)
    endif()

    # Translations **********************************
    include(RazorTranslate)
    razor_translate_ts( QM_FILES
                    SOURCES
                        ${razor-lightdm-greeter_HDRS}
                        ${razor-lightdm-greeter_SRCS}
                        ${razor-lightdm-greeter_UIS}
                      )
    #************************************************

    link_directories( ${LIGHTDM_QT_LIBRARY_DIRS} )
    add_executable ( razor-lightdm-greeter
                        ${razor-lightdm-greeter_SRCS}
                        ${razor-lightdm-greeter_HDRS}
                        ${razor-lightdm-greeter_UIS}
                        ${QM_FILES}
                        ${MOCS}
                   )
    target_link_libraries ( razor-lightdm-greeter  razorqt ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${QT_QTDBUS_LIBRARY} ${QT_QTNETWORK_LIBRARY} ${LIGHTDM_QT_LIBRARIES} )

    file(GLOB DESKTOP_FILES resources/*.desktop)

    install(TARGETS ${PROJECT} RUNTIME DESTINATION bin)
    install(FILES   ${DESKTOP_FILES}   DESTINATION /usr/share/xgreeters)
endif()

endif (ENABLE_LIGHTDM_GREETER)

=== razorqt-notificationd/CMakeLists.txt ===
set(PROJECT razor-notificationd)
project(${PROJECT})

set(QT_USE_QTDBUS 1)

find_package(Qt4 REQUIRED)
include(${QT_USE_FILE})

add_subdirectory(src)
add_subdirectory(config)

=== razorqt-openssh-askpass/CMakeLists.txt ===
project( razor-openssh-askpass )
cmake_minimum_required( VERSION 2.6 )

if (NOT CMAKE_BUILD_TYPE)
    set ( CMAKE_BUILD_TYPE Release )
endif (NOT CMAKE_BUILD_TYPE)

add_definitions ( -Wall )
find_package ( Qt4 REQUIRED )
include ( ${QT_USE_FILE} )
include_directories (
    ${CMAKE_SOURCE_DIR}/libraries
	${CMAKE_CURRENT_BINARY_DIR}
	${QT_QTCORE_INCLUDE_DIR} ${QT_QTGUI_INCLUDE_DIR}
	src
)

set ( razor-openssh-askpass_HDRS
	src/mainwindow.h
	)

set ( razor-openssh-askpass_SRCS
	src/main.cpp
	src/mainwindow.cpp
	)

set ( razor-openssh-askpass_UIS
        src/mainwindow.ui
        )

# Translations **********************************
include(RazorTranslate)
razor_translate_ts(QM_FILES
    SOURCES
        ${razor-openssh-askpass_HDRS}
        ${razor-openssh-askpass_SRCS}
        ${razor-openssh-askpass_UIS}
)
#************************************************

QT4_WRAP_CPP(MOCS ${razor-openssh-askpass_HDRS})
QT4_WRAP_UI(UIS ${razor-openssh-askpass_UIS})


add_executable ( razor-openssh-askpass ${razor-openssh-askpass_SRCS} ${UIS} ${RSCS} ${TRS} ${MOCS} ${QM_FILES} )
add_dependencies( razor-openssh-askpass razorqt )
target_link_libraries(razor-openssh-askpass ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} razorqt)
INSTALL(TARGETS razor-openssh-askpass RUNTIME DESTINATION bin)

=== debian/changelog ===
razorqt (0.5.2-4build1) xenial; urgency=medium

  * Rebuild against libstatgrab10.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 07 Jan 2016 00:46:24 +0000

razorqt (0.5.2-4) unstable; urgency=high

  * Fix for API changes of libstatgrab version 0.90 (Closes: #735574)
    - Update build dependency accordingly to "libstatgrab-dev (>= 0.90)"
  * Bump Standards-Version to 3.9.5 (no changes needed)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sat, 18 Jan 2014 19:38:30 +0000

razorqt (0.5.2-3) unstable; urgency=low

  * debian/patches:
    - lightdm3.patch: Incorporate patch from Ubuntu to ease transitions for when
      lightdm is updated (look for lightdm-qt-3 in addition to versions 2 and
      1).  Thanks Michael Bienia for the pointer, Adam Conrad for the patch.
      (Closes: #730899)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Thu, 19 Dec 2013 22:29:09 +0000

razorqt (0.5.2-2) unstable; urgency=low

  * Set target distribution to unstable

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sat, 20 Apr 2013 17:03:44 +0100

razorqt (0.5.2-1~exp2) experimental; urgency=low

  * Make metapackage razorqt depend on new components introduced in last
    upstream version
  * Make razorqt-autosuspend Break old versions of razorqt-power because of
    incompatibilities (files moved between binary packages)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sun, 31 Mar 2013 16:20:53 +0000

razorqt (0.5.2-1~exp1) experimental; urgency=low

  * New upstream version
    - debian/copyright updated to reflect changes (no important license changes)
    - Fixed problems with session files for different Window Managers (Closes:
      #695903)
    - New binary packages for components introduced since last version packaged:
      - razorqt-autosuspend
      - razorqt-confupdate
      - razorqt-globalkeyshortcuts
      - razorqt-lightdm-greeter
      - razorqt-notificationd
      - razorqt-openssh-askpass
    - New build-depends:
      - libasound2-dev (>= 1.0.23) [linux-any] | libpulse-dev (>= 2.0)
      - liblightdm-qt-dev (>= 1.2)
      - libsensors4-dev (>= 1:3.3.2-2) [!hurd-any]
      - libstatgrab-dev (>= 0.16) [linux-any]
    - Drop patches:
      - fix-getopts.diff
  * debian/control:
    - Bump Standards-Version to 3.9.4 (no changes needed)
    - Remove "DM-Upload-Allowed: yes" (obsolete field now)
    - Update Maintainer address

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sun, 31 Mar 2013 00:20:53 +0000

=== debian/control ===
Source: razorqt
Section: x11
Priority: optional
Standards-Version: 3.9.5
Maintainer: Manuel A. Fernandez Montecelo <mafm@debian.org>
Build-Depends: debhelper (>= 9~),
               dpkg-dev (>= 1.16.1~),
               cmake (>= 2.6),
               pkg-config,
               libasound2-dev (>= 1.0.23) [linux-any] | libpulse-dev (>= 2.0),
               liblightdm-qt-dev (>= 1.2),
               libmagic-dev,
               libpolkit-agent-1-dev,
               libpolkit-qt-1-dev,
               libqt4-dev (>= 4.5.1),
               libsensors4-dev (>= 1:3.3.2-2) [!hurd-any],
               libstatgrab-dev (>= 0.90) [linux-any],
               libudev-dev [linux-any],
               libxrender-dev,
               libxcomposite-dev,
               libxdamage-dev,
               libxcursor-dev,
               zlib1g-dev
Homepage: http://razor-qt.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/razorqt.git
Vcs-Git: git://anonscm.debian.org/collab-maint/razorqt.git


Package: razorqt
Architecture: all
Section: metapackages
Depends: ${misc:Depends},
	 razorqt-appswitcher (>= ${binary:Version}),
         razorqt-autosuspend (>= ${binary:Version}),
         razorqt-config (>= ${binary:Version}),
         razorqt-confupdate (>= ${binary:Version}),
         razorqt-desktop (>= ${binary:Version}),
         razorqt-globalkeyshortcuts (>= ${binary:Version}),
         razorqt-notificationd (>= ${binary:Version}),
         razorqt-openssh-askpass (>= ${binary:Version}),
         razorqt-panel (>= ${binary:Version}),
         razorqt-policykit-agent (>= ${binary:Version}),
         razorqt-power (>= ${binary:Version}),
         razorqt-runner (>= ${binary:Version}),
         razorqt-session (>= ${binary:Version}),
	 openbox | kde-window-manager | x-window-manager
Recommends: x-display-manager, openbox
Description: Lightweight desktop environment, all components
 Razor-qt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies.  It has been tailored for users who value simplicity, speed, and
 an intuitive interface.  Unlike most desktop environments, Razor-qt also works
 fine with less powerful machines.
 .
 While still a new project, Razor-qt already contains the key DE components
 (components can be used separately, not all of them need to be used at once):
 .
  * Panel
  * Desktop
  * Application launcher
  * Settings center
  * Sessions
 .
 Razor-qt works with various WMs.  Most of Razor developers use Openbox, but
 other modern WMs can be used, such as fwwm2 to kwin.
 .
 This metapackage provides all the components of Razor-qt.


Package: libqtxdg0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Implementation of the XDG Specifications for Qt, libs
 This library implements functions of the XDG Specifications in Qt.  It is part
 of Razor-qt.
 .
 This package provides the shared library.

Package: libqtxdg0-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libqtxdg0 (= ${binary:Version})
Description: Implementation of the XDG Specifications for Qt, development package
 This library implements functions of the XDG Specifications in Qt.  It is part
 of Razor-qt.
 .
 This package provides the development files.


Package: librazorqt0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libqtxdg0 (= ${binary:Version})
Suggests: razorqt
Description: Shared libraries for Razor-qt desktop environment
 Razor-qt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies.  It has been tailored for users who value simplicity, speed, and
 an intuitive interface.  Unlike most desktop environments, Razor-qt also works
 fine with less powerful machines.
 .
 This package contains the shared libraries needed by the Razor-qt desktop
 environment.

Package: librazorqt0-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libqtxdg0-dev (= ${binary:Version})
Description: Shared libraries for Razor-qt desktop environment, development package
 Razor-qt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies.  It has been tailored for users who value simplicity, speed, and
 an intuitive interface.  Unlike most desktop environments, Razor-qt also works
 fine with less powerful machines.
 .
 This package provides the development files for the libraries that are shared
 amongst the various components of Razor-qt.


Package: razorqt-data
Architecture: all
Depends: ${misc:Depends},
         xdg-utils,
         oxygen-icon-theme | hicolor-icon-theme
Recommends: menu-xdg
Suggests: razorqt
Description: Shared data files for Razor-qt desktop environment
 Razor-qt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies.  It has been tailored for users who value simplicity, speed, and
 an intuitive interface.  Unlike most desktop environments, Razor-qt also works
 fine with less powerful machines.
 .
 This package contains the architecture-independent shared data files needed by
 the Razor-qt desktop environment.

Package: razorqt-appswitcher
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libqtxdg0 (= ${binary:Version}),
         librazorqt0 (= ${binary:Version}),
         razorqt-data (= ${source:Version})
Recommends: razorqt-config, razorqt-desktop
Suggests: razorqt
Description: Application switcher component for Razor-qt desktop environment
 Razor-qt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies.  It has been tailored for users who value simplicity, speed, and
 an intuitive interface.  Unlike most desktop environments, Razor-qt also works
 fine with less powerful machines.
 .
 This package provides the application switcher component.

Package: razorqt-autosuspend
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libqtxdg0 (= ${binary:Version}),
         librazorqt0 (= ${binary:Version}),
         razorqt-data (= ${source:Version})
Recommends: razorqt-config, razorqt-desktop
Suggests: razorqt
Breaks: razorqt-power (<= 0.4.1-2)
Description: Autosuspend component for Razor-qt desktop environment
 Razor-qt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies.  It has been tailored for users who value simplicity, speed, and
 an intuitive interface.  Unlike most desktop environments, Razor-qt also works
 fine with less powerful machines.
 .
 This package provides a tool to suspend/wake-up laptops on lid events or power
 status events.

Package: razorqt-config
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         qt4-qtconfig,
         libqtxdg0 (= ${binary:Version}),
         librazorqt0 (= ${binary:Version}),
         razorqt-data (= ${source:Version})
Suggests: razorqt
Description: Configuration component for Razor-qt desktop environment
 Razor-qt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies.  It has been tailored for users who value simplicity, speed, and
 an intuitive interface.  Unlike most desktop environments, Razor-qt also works
 fine with less powerful machines.
 .
 This package provides the user interface to configure other components.

Package: razorqt-confupdate
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libqtxdg0 (= ${binary:Version}),
         librazorqt0 (= ${binary:Version}),
         razorqt-data (= ${source:Version})
Recommends: razorqt-config, razorqt-desktop
Suggests: razorqt
Description: Configuration update component for Razor-qt desktop environment
 Razor-qt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies.  It has been tailored for users who value simplicity, speed, and
 an intuitive interface.  Unlike most desktop environments, Razor-qt also works
 fine with less powerful machines.
 .
 This package provides a tool to update configuration from older versions.

Package: razorqt-desktop
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libqtxdg0 (= ${binary:Version}),
         librazorqt0 (= ${binary:Version}),
         razorqt-data (= ${source:Version})
Recommends: razorqt-config
Suggests: razorqt
Description: Desktop component for Razor-qt desktop environment
 Razor-qt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies.  It has been tailored for users who value simplicity, speed, and
 an intuitive interface.  Unlike most desktop environments, Razor-qt also works
 fine with less powerful machines.
 .
 This package provides the desktop component (displaying icons, clock and other
 widgets in the desktop background).

Package: razorqt-globalkeyshortcuts
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libqtxdg0 (= ${binary:Version}),
         librazorqt0 (= ${binary:Version}),
         razorqt-data (= ${source:Version})
Recommends: razorqt-config, razorqt-desktop
Suggests: razorqt
Description: Keyboard shortcuts component for Razor-qt desktop environment
 Razor-qt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies.  It has been tailored for users who value simplicity, speed, and
 an intuitive interface.  Unlike most desktop environments, Razor-qt also works
 fine with less powerful machines.
 .
 This package provides the keyboard shortcuts component (to provide support for
 keyboard shortcuts on the desktop).

Package: razorqt-lightdm-greeter
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libqtxdg0 (= ${binary:Version}),
         librazorqt0 (= ${binary:Version}),
         razorqt-data (= ${source:Version})
Recommends: razorqt-config, razorqt-desktop
Suggests: razorqt
Description: LightDM greeter for Razor-qt desktop environment
 Razor-qt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies.  It has been tailored for users who value simplicity, speed, and
 an intuitive interface.  Unlike most desktop environments, Razor-qt also works
 fine with less powerful machines.
 .
 This package provides a greeter for LightDM.

Package: razorqt-notificationd
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libqtxdg0 (= ${binary:Version}),
         librazorqt0 (= ${binary:Version}),
         razorqt-data (= ${source:Version})
Recommends: razorqt-config, razorqt-desktop
Suggests: razorqt
Description: Notification component for Razor-qt desktop environment
 Razor-qt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies.  It has been tailored for users who value simplicity, speed, and
 an intuitive interface.  Unlike most desktop environments, Razor-qt also works
 fine with less powerful machines.
 .
 This package provides the notification component (to handle notifications on
 the desktop).

Package: razorqt-openssh-askpass
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libqtxdg0 (= ${binary:Version}),
         librazorqt0 (= ${binary:Version}),
         razorqt-data (= ${source:Version})
Recommends: razorqt-config, razorqt-desktop
Suggests: razorqt
Description: OpenSSH helper component for Razor-qt desktop environment
 Razor-qt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies.  It has been tailored for users who value simplicity, speed, and
 an intuitive interface.  Unlike most desktop environments, Razor-qt also works
 fine with less powerful machines.
 .
 This package provides the OpenSSH helper component (to interact with OpenSSH
 when requesting passwords on the desktop).

Package: razorqt-panel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libqtxdg0 (= ${binary:Version}),

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

#export DEB_BUILD_MAINT_OPTIONS   := hardening=+all
export DEB_LDFLAGS_MAINT_APPEND  := -Wl,--as-needed
# CMake doesn't use CPPFLAGS, pass them to CFLAGS/CXXFLAGS instead (bug #662833)
export DEB_CFLAGS_MAINT_APPEND   := -pipe -Wall $(shell dpkg-buildflags --get CPPFLAGS)
export DEB_CXXFLAGS_MAINT_APPEND := -pipe -Wall $(shell dpkg-buildflags --get CPPFLAGS)


%:
	dh $@ --buildsystem=cmake --parallel

override_dh_auto_configure:
	dh_auto_configure -- -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)" -DBUNDLE_XDG_UTILS=No

override_dh_shlibdeps:
        # needed because other libraries depend on
        # /usr/lib/<multiarch>/razor-desktop/libdesktop-razor.so, installed in
        # this private directory, and that it cannot be found otherwise
        #
        # dpkg-shlibdeps: warning: couldn't find library libdesktop-razor.so needed by debian/razorqt-desktop/usr/lib/x86_64-linux-gnu/razor-desktop/libiconview.so (ELF format: 'elf64-x86-64'; RPATH: '')
        # ...
	dh_shlibdeps -l"usr/lib/$(DEB_HOST_MULTIARCH)/razor-desktop/"

override_dh_install:
	dh_install --list-missing
